<p id="feedback"></p>
<p id="header"></p>
<input id="input" type="text">
<button id="submit">Submit</button>
<script>
    // set to false to randomly select name and whether your gessing
    // first or las
    // set to true to cycle through names and swich last/first name
    // once a cycle
    const chooseRandom = false
    let currentIndex = 0
    const names = [
        ['Andy', 'Bliss'],
        ['Jimmy', 'Cozza'],
        ['Steven', 'Cannon'],
        ['Mike', 'Starks'],
        ['Mikele', 'Halisky'],
        ['Jacob', 'Dayton'],
        ['Tanner', 'Scadden'],
        ['Kimberly', 'Julian'],
        ['Sergio', 'Gomes'],
        ['DJ', 'Strader'],
        ['Ryan', 'Nelson'],
    ]
    let currentFirst;
    let currentLast;
    let guessingLast;
    const feedback = document.getElementById("feedback")
    const header = document.getElementById("header")
    const input = document.getElementById("input")
    const submit = document.getElementById("submit")
    function updateName() {
        let currentName;
        if(chooseRandom){
            currentName = names[Math.floor(Math.random() * names.length)];
            if (Math.random() > 0.5) {
                guessingLast = false
            }
            else {
                guessingLast = true
            }
        }
        else {
            if(currentIndex >= names.length){
                guessingLast = !guessingLast
                currentIndex = 0
            }
            currentName = names[currentIndex]
            currentIndex++
        }
        currentFirst = currentName[0]
        currentLast = currentName[1]
        if(guessingLast){
            header.innerHTML = "First Name: " + currentFirst
        }
        else {
            header.innerHTML = "Last Name: " + currentLast
        }
    }
    updateName()
    function updateFeedback(correct) {
        if (correct) {
            feedback.innerHTML = "Correct " + currentFirst + " " + currentLast
        }
        else {
            feedback.innerHTML = "Incorrect " + currentFirst + " " + currentLast
        }
    }
    submit.onclick = () => {
        const guess = input.value
        input.value = ""
        if (guessingLast) {
            updateFeedback(guess.toLowerCase() === currentLast.toLowerCase())
        }
        else {
            updateFeedback(guess.toLowerCase() === currentFirst.toLowerCase())
        }
        updateName()
    }
</script>